# class ActiveRecord::MultiparameterAssignmentErrors

Raised when there are multiple errors while doing a mass assignment through the ActiveRecord::Base#attributes= method. The exception has an `errors` property that contains an array of AttributeAssignmentError objects, each corresponding to the error while assigning to an attribute.

### Attributes

errors[R]

### Public Class Methods

new(errors = nil) click to toggle source

    # File lib/active_record/errors.rb, line 266
    def initialize(errors = nil)
      @errors = errors
    end